require.config({
    paths: {
        'backbone': 'backbone.min',
        'underscore': 'underscore.min'
    },
    shim: {
        'underscore': {
            exports: '_'
        },
        'backbone': {
            deps: ['underscore'],
            exports: 'Backbone'
        }
    }
});

if(typeof jQuery === 'function') {
    define('jquery', function() {
        'use strict';
        return jQuery;
    });
}

if(typeof MultiUploadSettings === 'object') {
    define('multi_upload_settings', function() {
        'use strict';
        return MultiUploadSettings;
    });

    window.iuu = {
        log: function(...args) {
            return MultiUploadSettings.debug_mode
                ? window.console.log(...args)
                : undefined;
        }
    };
    /*
    if(!MultiUploadSettings.debug_mode) {
        window.console = {};
        window.console.log = function(i) { return; };
    }
    */
}


require([
    'view/app'
],
function(App) {
    'use strict';
    var app = new App();
    app.render();
});
