define([
    'jquery',
    'underscore',
    'backbone',
    'multi_upload_settings'
],
function($, _, Backbone, MultiUploadSettings) {
    'use strict';
    var MTDialog = Backbone.View.extend({
        el: '.mt-dialog',
        events: {
            // 'click span': 'close',
            'close': 'close'
        },
        permissionDenied: false,
        initialize: function() {
            if(MultiUploadSettings.permission_denied) {
                this.permissionDenied = true;
                return;
            }
            
            this.$overlay = $('.mt-dialog-overlay');
            $(window).on('resize', _.bind(this.resize, this));
        },
        render: function() {
            return this;
        },
        resize: function() {
            var height = $(window).height();
            if(this.$el.length) {
                this.$el.height(height - 60);
                $('#mt-dialog-iframe').height(height - 60);
            }
        },
        open: function() {
            if(this.permissionDenied) {
                alert('権限がありません。');
                this.$el.hide();
                this.$el.empty();
                return;
            }

            this.resize();

            if(navigator.userAgent.indexOf('Gecko/') === -1) {
                $('body').addClass('has-dialog');
            }

            this.$el.show();
            this.$overlay.show();

            Backbone.trigger('dialog:open', this);
        },
        close: function(event, url, fn) {
            $('body').removeClass('has-dialog');
            this.$overlay.hide();
            if(fn) {
                this.$el.trigger('close', fn);
            }

            this.$el.hide();

            this.$el.empty();

            if(url) {
                window.location = url;
            }

            Backbone.trigger('dialog:close', this);
            $(window).trigger('dialogDisposed');
        }
    });
    return MTDialog;
});

