# ImageUploadUtility - (c) 2012-2017 Juxtaposition. All Rights Reserved.
# This code cannot be redistributed without permission from juxtaposition.jp
# For more information, consult your ImageUploadUtility license.
#

package ImageUploadUtility::L10N::ja;

use strict;
use base 'ImageUploadUtility::L10N::en_us';
use vars qw( %Lexicon );

## The following is the translation table.

%Lexicon = (
    'ImageUploadUtility' => 'ImageUploadUtility',
    'ImageUploadUtility(Trial)' => 'ImageUploadUtility（評価版）',
    'ImageUploadUtility Extra' => 'ImageUploadUtility Extra',
    'ImageUploadUtility Pro' => 'ImageUploadUtility Pro',
    'ImageUploadUtility Pro(Trial)' => 'ImageUploadUtility Pro（評価版）',
    'This plugin allows you to resize uplodaed image and to convert multibyte file name.'
        => 'アップロードされた画像のリサイズやマルチバイトファイル名を変換するプラグインです。',

    'Resizing image' => '画像のリサイズ',
    'Resize images when uploaded.' => 'アップロード時に画像をリサイズする',
    'Max size of long side' => '長辺の最大値',
    'Max size of width' => '横幅の最大値',
    'Do not resize images when uploaded.' => 'アップロード時に画像をリサイズしない',
    'Resize the image when the long side exceeds the specified size.' => '長辺がこれを超える場合、長辺がこの値になるようリサイズ（縮小）する',
    'Resize the image when the width exceeds the specified size.' => '横幅がこれを超える場合、横幅がこの値になるようリサイズ（縮小）する',
    'Converting file name' => 'ファイル名変換',
    'Do not convert' => '変換しない',
    'Convert multibyte file name using the format as below' => 'マルチバイトのファイル名を以下のフォーマットで変換する',
    'Force convert file name using the format as below' => 'ファイル名を強制的に以下のフォーマットで変換する',
    'Rename format' => '変換フォーマット',
    'Cannot use &lt;mt:assetID&gt; tag.' => '&lt;mt:assetID&gt;タグは使用できません。',
    'When you use a random alphanumeric string in the format, specify it as &lt;mt:var name="random_number" /&gt;'
        => '変換フォーマットでランダムな英数字を使用する場合、&lt;mt:var name="random_number" &gt;と指定してください。',

    'Convert extension' => '拡張子変換',
    'Convert extension to lowercase' => '拡張子を小文字に変換する',

    'max_size' => '長辺',
    'thumbnail_max_size' => 'サムネイルの長辺',
    'rename_format' => 'ファイル名変換',
    'max_width' => '横幅',
    'jpeg_quality' => 'JPEG圧縮率',
    'watermark_opacity' => '透かしの不透明度',

    '([_1]) must be a number.' => '「[_1]」には数値を指定してください',
    '([_1]) must be greater than 0.' => '「[_1]」には0以上の数値を指定してください',
    '([_1]) must be specified.' => '「[_1]」を指定してください',
    '([_1]) must be empty string or integer(0-100).' => '「[_1]」には空文字または整数(0-100)を指定してください',

    'Exif info' => 'Exif情報',
    'Strip' => '削除する',
	'ImageMagick or GraphicsMagick is required as the image driver in order to strip Exif info.' => 'Exif情報を削除するには、イメージドライバとしてImageMagickまたはGraphicsMagickが必要です。',
    'JPEG Quality' => 'JPEG圧縮率',
    'Only empty string or Integer(0-100) are acceptable values.' => '空文字または整数(0-100)のみ指定できます。',
	'ImageMagick or GraphicsMagick is required as the image driver in order to change the JPEG quality value.' => 'JPEG圧縮率を変更するには、イメージドライバとしてImageMagickまたはGraphicsMagickが必要です。',

    'Watermark' => '透かし',
    'Select image' => '画像選択',
    'Delete image' => '画像削除',
    'Always use watermark' => '全ての画像に透かしを入れる',
    'Select before uploading' => '画像アップロード時に選択する',
    'Watermark position' => '透かしの位置',
    'NorthWest' => '左上',
    'North' => '上',
    'NorthEast' => '右上',
    'West' => '左',
    'Center' => '中心',
    'East' => '右',
    'SouthWest' => '左下',
    'South' => '下',
    'SouthEast' => '右下',
    'Watermark opacity' => '透かしの不透明度',

    'Watermark insertion' => '透かしの挿入',
    'Always insert watermark.' => '常に透かしを挿入する',
    'Select watermark insertion when uploading file.' => 'ファイルアップロード時に選択する',
    'Insert wartermark' => '透かしを挿入する',
    'ImageMagick or GraphicsMagick is required as the image driver in order to insert watermark.' => '透かしを挿入するには、イメージドライバとしてImageMagickまたはGraphicsMagickが必要です。',
    'Link to PDF file in a new window(tab).' => '新規ウィンドウ（タブ）でPDFにリンクします。',

    'ImageUploadUtility plugin not found.' => 'ImageUploadUtilityプラグインが見つかりません。',
    'Watermark insert template not found' => '透かし挿入テンプレートが見つかりません。',
    'Asset not found, id:[_1]' => 'アイテムが見つかりません。id:[_1]',
    'Invalid image type, type:[_1]' => '無効な画像のタイプです。type:[_1]',
    'Select a JPEG/GIF/PNG image.' => 'JPEG/GIF/PNG形式の画像を選択してください。',
    'PDF thumbnail' => 'PDFサムネイル',
    'Use the first page of PDF file as the thumbnail image.' => 'PDFの1ページ目を画像として表示する',
    'ImageMagick or GraphicsMagick is required as the image driver in order to use the PDF thumbnail.' => 'PDFサムネイルを利用するには、イメージドライバとしてImageMagickまたはGraphicsMagickが必要です。',
    'Image orientation' => '画像の向き',
    'Normalize the image orientation using the Exif info.' => 'Exif情報を利用して画像の向きを補正する',
    'The ImageUploadUtility setting takes precedence over this setting.' => 'ImageUploadUtilityの設定に従う',
    '(Not Installed)' => '（インストールされていません）',

    # for MT::Asset::PDF
    'Image(PDF)' => '画像(PDF)',
    'Images(PDF)' => '画像(PDF)',

    # Multi Upload
    'Upload has canceled: file is duplicated.' => 'ファイルが重複しているため、アップロードがキャンセルされました。',

    'Sort files' => 'ファイルソート',
    'Sort dropped files by name.', 'ドロップされたファイルを名前でソートする',

    'Image enclosing tag' => '画像を囲むタグ',
    'Start tag' => '開始タグ',
    'End tag' => '修了タグ',
    'The start and end tags which enclose the image can be specified separately.' => '画像を囲む開始タグと終了タグを別々に指定できます。',
    'PDF file may not be handled by ImageMagick/GraphicsMagick. Please verify the ImageMagick/GraphicsMagick configuration.' => 'ImageMagick/GraphicsMagickでPDFファイルを扱えません。ImageMagick/GraphicsMagickの構成を確認してください。',

    # Bulk setting
    'Bulk setting' => '一括設定',
    'Sets multiple website/blog plugin settings by uploading CSV file.' => 'CSVファイルをアップロードすることで複数ウェブサイト／ブログのプラグイン設定を行います。',
    'Upload setting' => '設定をアップロード',
    'Downloads current plugin setting of all websites/blogs as CSV file.' => 'すべてのウェブサイト／ブログのプラグイン設定をCSVファイルとしてダウンロードします。',
    'Download setting' => '設定をダウンロード',
    'Invalid blog id, line=[_1]' => '無効なブログIDです。([_1]行目)',
    'Failed to save plugin config, ID=[_1], line=[_2]' => 'ブラグイン設定の保存に失敗しました。ID=[_1] ([_2]行目)',
    'Blog does not exists. ID=[_1], line=[_2]' => 'ブログが見つかりません。ID=[_1] ([_2]行目)',
    'Error(s) occurred while bulk setting of plugin. Please check the activity log.' => 'プラグインの一括設定中にエラーが発生しました。ログを確認してください。',
    'File is required.' => 'ファイルを指定してください。',
    'Failed to create Text Parser.' => 'テキストパーサを生成できません。',
    'Failed to combine columns.' => 'カラムを結合できません。',
    'Failed to parse the text.' => 'テキストをパースできません。',
    'Failed to resize.' => 'リサイズに失敗しました。',

    #
    'Settings such as maximum size follow the ImageUploadUtility plugin setting.' => '最大サイズなどの設定はImageUploadUtilityプラグイン設定に従います。',

    "Failed to create PDF thumbnail: [_1]: [_2]" => "PDFサムネイルの生成に失敗しました: [_1]: [_2]",
    "Failed to get PDF thumbnail size: [_1]: [_2]" => "PDFサムネイルのサイズ取得に失敗しました: [_1]: [_2]",

    'File [_1] scaled to [_2]x[_3] ([_4] bytes).' => 'ファイル[_1]を[_2]x[_3]（[_4]バイト）にリサイズしました。',
    'File [_1] inserted watermark (ID=[_2]).' => 'ファイル[_1]に透かし（ID=[_2]）を挿入しました。',
    'File [_1] changed quality to [_2] ([_3] bytes).' => 'ファイル[_1]の画像品質を[_2]（[_3]バイト）に変更しました。',
    'File [_1] deleted Exif info.' => 'ファイル[_1]のExif情報を削除しました。',
);

1;
